curl --request PATCH \
--url https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customProperties": [
{
"isEncrypted": true,
"isLargeValue": true,
"maskedSubstrings": {
"substrings": [
{
"end": 123,
"label": "<string>",
"start": 123
}
]
},
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}"
payload = {
"customProperties": [
{
"isEncrypted": True,
"isLargeValue": True,
"maskedSubstrings": { "substrings": [
{
"end": 123,
"label": "<string>",
"start": 123
}
] },
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": True,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [123],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": True,
"value": "<string>"
}
],
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": True,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customProperties: [
{
isEncrypted: true,
isLargeValue: true,
maskedSubstrings: {substrings: [{end: 123, label: '<string>', start: 123}]},
name: '<string>',
persistenceTimestamp: 123,
requestId: '<string>',
selectedByUser: true,
selectedByUserTimestamp: 123,
sourceId: '<string>',
sourceLabel: '<string>',
sourceMetadata: '<string>',
sourceUpstreamDeployable: '<string>',
sourceVid: [123],
timestamp: 123,
unit: '<string>',
updatedByUserId: 123,
useTimestampAsPersistenceTimestamp: true,
value: '<string>'
}
],
endDateTime: '2023-11-07T05:31:56Z',
eventCancelled: true,
eventDescription: '<string>',
eventName: '<string>',
eventOrganizer: '<string>',
eventType: '<string>',
eventUrl: '<string>',
startDateTime: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'customProperties' => [
[
'isEncrypted' => true,
'isLargeValue' => true,
'maskedSubstrings' => [
'substrings' => [
[
'end' => 123,
'label' => '<string>',
'start' => 123
]
]
],
'name' => '<string>',
'persistenceTimestamp' => 123,
'requestId' => '<string>',
'selectedByUser' => true,
'selectedByUserTimestamp' => 123,
'sourceId' => '<string>',
'sourceLabel' => '<string>',
'sourceMetadata' => '<string>',
'sourceUpstreamDeployable' => '<string>',
'sourceVid' => [
123
],
'timestamp' => 123,
'unit' => '<string>',
'updatedByUserId' => 123,
'useTimestampAsPersistenceTimestamp' => true,
'value' => '<string>'
]
],
'endDateTime' => '2023-11-07T05:31:56Z',
'eventCancelled' => true,
'eventDescription' => '<string>',
'eventName' => '<string>',
'eventOrganizer' => '<string>',
'eventType' => '<string>',
'eventUrl' => '<string>',
'startDateTime' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}"
payload := strings.NewReader("{\n \"customProperties\": [\n {\n \"isEncrypted\": true,\n \"isLargeValue\": true,\n \"maskedSubstrings\": {\n \"substrings\": [\n {\n \"end\": 123,\n \"label\": \"<string>\",\n \"start\": 123\n }\n ]\n },\n \"name\": \"<string>\",\n \"persistenceTimestamp\": 123,\n \"requestId\": \"<string>\",\n \"selectedByUser\": true,\n \"selectedByUserTimestamp\": 123,\n \"sourceId\": \"<string>\",\n \"sourceLabel\": \"<string>\",\n \"sourceMetadata\": \"<string>\",\n \"sourceUpstreamDeployable\": \"<string>\",\n \"sourceVid\": [\n 123\n ],\n \"timestamp\": 123,\n \"unit\": \"<string>\",\n \"updatedByUserId\": 123,\n \"useTimestampAsPersistenceTimestamp\": true,\n \"value\": \"<string>\"\n }\n ],\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"eventCancelled\": true,\n \"eventDescription\": \"<string>\",\n \"eventName\": \"<string>\",\n \"eventOrganizer\": \"<string>\",\n \"eventType\": \"<string>\",\n \"eventUrl\": \"<string>\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customProperties\": [\n {\n \"isEncrypted\": true,\n \"isLargeValue\": true,\n \"maskedSubstrings\": {\n \"substrings\": [\n {\n \"end\": 123,\n \"label\": \"<string>\",\n \"start\": 123\n }\n ]\n },\n \"name\": \"<string>\",\n \"persistenceTimestamp\": 123,\n \"requestId\": \"<string>\",\n \"selectedByUser\": true,\n \"selectedByUserTimestamp\": 123,\n \"sourceId\": \"<string>\",\n \"sourceLabel\": \"<string>\",\n \"sourceMetadata\": \"<string>\",\n \"sourceUpstreamDeployable\": \"<string>\",\n \"sourceVid\": [\n 123\n ],\n \"timestamp\": 123,\n \"unit\": \"<string>\",\n \"updatedByUserId\": 123,\n \"useTimestampAsPersistenceTimestamp\": true,\n \"value\": \"<string>\"\n }\n ],\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"eventCancelled\": true,\n \"eventDescription\": \"<string>\",\n \"eventName\": \"<string>\",\n \"eventOrganizer\": \"<string>\",\n \"eventType\": \"<string>\",\n \"eventUrl\": \"<string>\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customProperties\": [\n {\n \"isEncrypted\": true,\n \"isLargeValue\": true,\n \"maskedSubstrings\": {\n \"substrings\": [\n {\n \"end\": 123,\n \"label\": \"<string>\",\n \"start\": 123\n }\n ]\n },\n \"name\": \"<string>\",\n \"persistenceTimestamp\": 123,\n \"requestId\": \"<string>\",\n \"selectedByUser\": true,\n \"selectedByUserTimestamp\": 123,\n \"sourceId\": \"<string>\",\n \"sourceLabel\": \"<string>\",\n \"sourceMetadata\": \"<string>\",\n \"sourceUpstreamDeployable\": \"<string>\",\n \"sourceVid\": [\n 123\n ],\n \"timestamp\": 123,\n \"unit\": \"<string>\",\n \"updatedByUserId\": 123,\n \"useTimestampAsPersistenceTimestamp\": true,\n \"value\": \"<string>\"\n }\n ],\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"eventCancelled\": true,\n \"eventDescription\": \"<string>\",\n \"eventName\": \"<string>\",\n \"eventOrganizer\": \"<string>\",\n \"eventType\": \"<string>\",\n \"eventUrl\": \"<string>\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update event by HubSpot ID
Actualiza los detalles de un evento de marketing existente identificado por su objectId, si existe.
curl --request PATCH \
--url https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customProperties": [
{
"isEncrypted": true,
"isLargeValue": true,
"maskedSubstrings": {
"substrings": [
{
"end": 123,
"label": "<string>",
"start": 123
}
]
},
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}"
payload = {
"customProperties": [
{
"isEncrypted": True,
"isLargeValue": True,
"maskedSubstrings": { "substrings": [
{
"end": 123,
"label": "<string>",
"start": 123
}
] },
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": True,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [123],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": True,
"value": "<string>"
}
],
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": True,
"eventDescription": "<string>",
"eventName": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customProperties: [
{
isEncrypted: true,
isLargeValue: true,
maskedSubstrings: {substrings: [{end: 123, label: '<string>', start: 123}]},
name: '<string>',
persistenceTimestamp: 123,
requestId: '<string>',
selectedByUser: true,
selectedByUserTimestamp: 123,
sourceId: '<string>',
sourceLabel: '<string>',
sourceMetadata: '<string>',
sourceUpstreamDeployable: '<string>',
sourceVid: [123],
timestamp: 123,
unit: '<string>',
updatedByUserId: 123,
useTimestampAsPersistenceTimestamp: true,
value: '<string>'
}
],
endDateTime: '2023-11-07T05:31:56Z',
eventCancelled: true,
eventDescription: '<string>',
eventName: '<string>',
eventOrganizer: '<string>',
eventType: '<string>',
eventUrl: '<string>',
startDateTime: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'customProperties' => [
[
'isEncrypted' => true,
'isLargeValue' => true,
'maskedSubstrings' => [
'substrings' => [
[
'end' => 123,
'label' => '<string>',
'start' => 123
]
]
],
'name' => '<string>',
'persistenceTimestamp' => 123,
'requestId' => '<string>',
'selectedByUser' => true,
'selectedByUserTimestamp' => 123,
'sourceId' => '<string>',
'sourceLabel' => '<string>',
'sourceMetadata' => '<string>',
'sourceUpstreamDeployable' => '<string>',
'sourceVid' => [
123
],
'timestamp' => 123,
'unit' => '<string>',
'updatedByUserId' => 123,
'useTimestampAsPersistenceTimestamp' => true,
'value' => '<string>'
]
],
'endDateTime' => '2023-11-07T05:31:56Z',
'eventCancelled' => true,
'eventDescription' => '<string>',
'eventName' => '<string>',
'eventOrganizer' => '<string>',
'eventType' => '<string>',
'eventUrl' => '<string>',
'startDateTime' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}"
payload := strings.NewReader("{\n \"customProperties\": [\n {\n \"isEncrypted\": true,\n \"isLargeValue\": true,\n \"maskedSubstrings\": {\n \"substrings\": [\n {\n \"end\": 123,\n \"label\": \"<string>\",\n \"start\": 123\n }\n ]\n },\n \"name\": \"<string>\",\n \"persistenceTimestamp\": 123,\n \"requestId\": \"<string>\",\n \"selectedByUser\": true,\n \"selectedByUserTimestamp\": 123,\n \"sourceId\": \"<string>\",\n \"sourceLabel\": \"<string>\",\n \"sourceMetadata\": \"<string>\",\n \"sourceUpstreamDeployable\": \"<string>\",\n \"sourceVid\": [\n 123\n ],\n \"timestamp\": 123,\n \"unit\": \"<string>\",\n \"updatedByUserId\": 123,\n \"useTimestampAsPersistenceTimestamp\": true,\n \"value\": \"<string>\"\n }\n ],\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"eventCancelled\": true,\n \"eventDescription\": \"<string>\",\n \"eventName\": \"<string>\",\n \"eventOrganizer\": \"<string>\",\n \"eventType\": \"<string>\",\n \"eventUrl\": \"<string>\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customProperties\": [\n {\n \"isEncrypted\": true,\n \"isLargeValue\": true,\n \"maskedSubstrings\": {\n \"substrings\": [\n {\n \"end\": 123,\n \"label\": \"<string>\",\n \"start\": 123\n }\n ]\n },\n \"name\": \"<string>\",\n \"persistenceTimestamp\": 123,\n \"requestId\": \"<string>\",\n \"selectedByUser\": true,\n \"selectedByUserTimestamp\": 123,\n \"sourceId\": \"<string>\",\n \"sourceLabel\": \"<string>\",\n \"sourceMetadata\": \"<string>\",\n \"sourceUpstreamDeployable\": \"<string>\",\n \"sourceVid\": [\n 123\n ],\n \"timestamp\": 123,\n \"unit\": \"<string>\",\n \"updatedByUserId\": 123,\n \"useTimestampAsPersistenceTimestamp\": true,\n \"value\": \"<string>\"\n }\n ],\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"eventCancelled\": true,\n \"eventDescription\": \"<string>\",\n \"eventName\": \"<string>\",\n \"eventOrganizer\": \"<string>\",\n \"eventType\": \"<string>\",\n \"eventUrl\": \"<string>\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/marketing-events/2026-09/{objectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customProperties\": [\n {\n \"isEncrypted\": true,\n \"isLargeValue\": true,\n \"maskedSubstrings\": {\n \"substrings\": [\n {\n \"end\": 123,\n \"label\": \"<string>\",\n \"start\": 123\n }\n ]\n },\n \"name\": \"<string>\",\n \"persistenceTimestamp\": 123,\n \"requestId\": \"<string>\",\n \"selectedByUser\": true,\n \"selectedByUserTimestamp\": 123,\n \"sourceId\": \"<string>\",\n \"sourceLabel\": \"<string>\",\n \"sourceMetadata\": \"<string>\",\n \"sourceUpstreamDeployable\": \"<string>\",\n \"sourceVid\": [\n 123\n ],\n \"timestamp\": 123,\n \"unit\": \"<string>\",\n \"updatedByUserId\": 123,\n \"useTimestampAsPersistenceTimestamp\": true,\n \"value\": \"<string>\"\n }\n ],\n \"endDateTime\": \"2023-11-07T05:31:56Z\",\n \"eventCancelled\": true,\n \"eventDescription\": \"<string>\",\n \"eventName\": \"<string>\",\n \"eventOrganizer\": \"<string>\",\n \"eventType\": \"<string>\",\n \"eventUrl\": \"<string>\",\n \"startDateTime\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"name": "<string>",
"value": "<string>"
}
],
"eventName": "<string>",
"objectId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventOrganizer": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El id interno del evento de marketing en HubSpot.
Cuerpo
Un conjunto de propiedades personalizadas asociadas al evento.
Show child attributes
Show child attributes
La fecha y la hora de finalización del evento de marketing
Indica si el evento de marketing se canceló
La descripción del evento de marketing
El nombre del evento de marketing
El nombre del organizador del evento de marketing
El tipo de evento de marketing
Una URL en la aplicación de eventos externos donde se puede gestionar el evento de marketing
La fecha y la hora de inicio del evento de marketing
Respuesta
successful operation
La fecha y hora de creación del evento de marketing
Un conjunto de propiedades personalizadas asociadas al evento de marketing, cada una representada por un objeto CRM PropertyWrapper.
Show child attributes
Show child attributes
El nombre del evento de marketing
El ID interno del evento de marketing en HubSpot
La fecha y hora de actualización del evento de marketing
Show child attributes
Show child attributes
La fecha y la hora de finalización del evento de marketing
Indica si el evento de marketing se canceló
Indica si el evento de marketing se completó
La descripción del evento de marketing
El nombre del organizador del evento de marketing
El tipo de evento de marketing
Una URL en la aplicación de eventos externos donde se puede gestionar el evento de marketing
La fecha y la hora de inicio del evento de marketing